Bug 48039 - org.apache.catalina.core.StandardService start method doesn't return immediately when it has started already
org.apache.catalina.core.StandardService start method doesn't return immediat...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.20
PC All
: P2 minor (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-10-21 19:12 UTC by qingyang.xu
Modified: 2010-02-18 12:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description qingyang.xu 2009-10-21 19:12:53 UTC
Below is the relevant part of source code:

public void start() throws LifecycleException {

        // Validate and update our current component state
        if (log.isInfoEnabled() && started) {
            log.info(sm.getString("standardService.start.started"));
        }
        
        if( ! initialized )
            init(); 

Is it reasonable that start() method should return immediately?

I checked the start() methods in StandardServer, StandardEngine, StandardHost and StandardContext, and found that they all return immediately if 'started' has been true.
Comment 1 Mark Thomas 2010-02-02 09:29:00 UTC
Thanks for the report. This has been fixed in trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2010-02-18 12:09:12 UTC
This has been fixed in 6.0.x and will be included in 6.0.25 onwards.